package com.ruoyi.bst.order.domain.enums;

import java.util.Arrays;
import java.util.List;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum OrderReturnType {
    
    NORMAL("1", "正常还车"),
    AUXILIARY("2", "辅助还车"),
    SYSTEM("3", "系统还车");

    private String code;
    private String name;
    
    // 是否是管理员还车
    public static boolean isAdmin(String returnType) {
        return AUXILIARY.getCode().equals(returnType) || SYSTEM.getCode().equals(returnType);
    }

    // 需要审核的还车类型
    public static List<String> needVerify() {
        return Arrays.asList(NORMAL.getCode(), SYSTEM.getCode());
    }
    
}
